# ---------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ---------------------------------------------------------
# Copyright 2020 The HuggingFace Inc. team. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
# ---------------------------------------------------------

"""File for adding all the metrics"""

from pathlib import Path

from datasets.load import load_metric


METRCI_FILE_MAP = {
    "sacrebleu": str(Path(Path(__file__).parent.resolve(), "sacrebleu.py")),
    "rouge": str(Path(Path(__file__).parent.resolve(), "rouge.py")),
}


def load_acft_metric(name: str):
    """return metric function for FT evaluation"""
    return load_metric(METRCI_FILE_MAP.get(name, name))

